org.eclipse.eef

## Interface EEFConditionalStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EEFButtonConditionalStyle, EEFCheckboxConditionalStyle, EEFCustomWidgetConditionalStyle, EEFGroupConditionalStyle, EEFHyperlinkConditionalStyle, EEFLabelConditionalStyle, EEFListConditionalStyle, EEFRadioConditionalStyle, EEFSelectConditionalStyle, EEFTextConditionalStyle

All Known Implementing Classes:
  EEFButtonConditionalStyleImpl, EEFCheckboxConditionalStyleImpl, EEFConditionalStyleImpl, EEFCustomWidgetConditionalStyleImpl, EEFGroupConditionalStyleImpl, EEFHyperlinkConditionalStyleImpl, EEFLabelConditionalStyleImpl, EEFListConditionalStyleImpl, EEFRadioConditionalStyleImpl, EEFSelectConditionalStyleImpl, EEFTextConditionalStyleImpl

    public interface EEFConditionalStyle
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Conditional Style'.

The following features are supported:

- `Precondition Expression`

See Also:
  `EefPackage.getEEFConditionalStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getPreconditionExpression()` Returns the value of the 'Precondition Expression' attribute.
`void` `setPreconditionExpression(java.lang.String value)` Sets the value of the '`Precondition Expression`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getPreconditionExpression

    java.lang.String getPreconditionExpression()

Returns the value of the 'Precondition Expression' attribute.

If the meaning of the 'Precondition Expression' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Precondition Expression' attribute.
See Also:
  `setPreconditionExpression(String)`, `EefPackage.getEEFConditionalStyle_PreconditionExpression()`

#### setPreconditionExpression

    void setPreconditionExpression(java.lang.String value)

Sets the value of the '`Precondition Expression`' attribute.

Parameters:
  `value` - the new value of the 'Precondition Expression' attribute.
See Also:
  `getPreconditionExpression()`